﻿using System;
using System.Collections.Generic;
using System.Text;

namespace PerfectCS_2012
{
    class Program_MusicAlbum
    {
        public Program_MusicAlbum()
        {
        }
        // --------
        public void ReportMusicAlbum(MusicAlbum musicAlbum)
        {
            MusicAlbum.CheckMusicDelegate checkMusicDelegate = new MusicAlbum.CheckMusicDelegate(this.CheckMusic);
            musicAlbum.CheckAlbum(checkMusicDelegate);

            // ----
            string palyingTime = musicAlbum.PlayingTime;
            ConsoleTrace.WriteValue("MusicAlbum.PalyingTime", palyingTime);

            // ----
            string reportMusic = musicAlbum[0].ReportMusic();
            ConsoleTrace.WriteValue("MusicAlbum.ReportMusic", reportMusic);
        }
        // --------
        private bool CheckMusic(int musicIndex, Music music)
        {
            bool isBreak = false;
            ConsoleTrace.WriteValueList("MusicAlbum.CheckMusic", musicIndex, music.Title, music.Artist);
            if(!(string.IsNullOrEmpty(music.Title)))
            {
                isBreak = (music.Title.IndexOf("Time") >= 0);
            }
            return isBreak;
        }

    }
}
