﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PerfectCS_2012
{
    public class Nodes
    {
        public Nodes(Node[] nodes)
        {
            m_nodes = nodes;
        }
        // --------
        private Node[] m_nodes;
        // --------
        public delegate bool MatchNodeHandler(Node node, string key);
        // --------
        public Node Find(MatchNodeHandler matchNodeHandler, string key)
        {
            Node findNode = null;
            if (matchNodeHandler != null)
            {
                foreach (Node node in m_nodes)
                {
                    if (matchNodeHandler(node, key))
                    {
                        findNode = node;
                        break;
                    }
                }
            }
            return findNode;
        }
    }
}
