﻿using System;

namespace DataBind
{
    public partial class UsedDataBinding : System.Web.UI.Page
    {
        public Product Product { get; set; }
        
        protected void Page_Load(object sender, EventArgs e)
        {
            // 商品情報読み込み
            this.Product = this.LoadProduct();
            
            // データバインド実行
            DataBind();
        }

        private Product LoadProduct()
        {
            return new Product()
            {
                ID = 100,
                Name = "テスト製品１",
                Price = 2500,
                Description = "これはテスト用の製品１です"
            };
        }
    }
}