﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace HtmlHelperSample.Controllers
{
    public class SampleController : Controller
    {
        //
        // GET: /Sample/FormSample/
        public ActionResult FormSample()
        {
            return View();
        }

        //
        // GET: /Sample/TextBoxSample/
        public ActionResult TextBoxSample()
        {
            return View();
        }

        //
        // GET: /Sample/TextBoxForSample/
        public ActionResult TextBoxForSample()
        {
            Models.Employee employee =
                new Models.Employee()
                {
                    FirstName = "Ryuichi",
                    LastName = "Daigo",
                    Birth = new DateTime(1976, 9, 16),
                    Entrance = new DateTime(2001, 5, 13)
                };
            return View(employee);
        }

        //
        // GET: /Sample/PasswwordSample/
        public ActionResult PasswordSample()
        {
            Models.Employee employee =
                new Models.Employee()
                {
                    FirstName = "Ryuichi",
                    LastName = "Daigo",
                    Birth = new DateTime(1976, 9, 16),
                    Entrance = new DateTime(2001, 5, 13)
                };
            return View(employee);
        }

        //
        // GET: /Sample/HiddenSample/
        public ActionResult HiddenSample()
        {
            Models.Employee employee =
                new Models.Employee()
                {
                    FirstName = "Ryuichi",
                    LastName = "Daigo",
                    Birth = new DateTime(1976, 9, 16),
                    Entrance = new DateTime(2001, 5, 13)
                };
            return View(employee);
        }
    }
}
