﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WpfApplication
{
    /// <summary>
    /// ProfileWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class ProfileWindow : Window
    {
        public ProfileWindow()
        {
            InitializeComponent();
        }

        /// FirstNameアクセサ
        public string FirstName
        {
        get { return this.txtFirstName.Text; }
        set { this.txtFirstName.Text = value; }
        }
        /// LastNameアクセサ
        public string LastName
        {
        get { return this.txtLastName.Text; }
        set { this.txtLastName.Text = value; }
        }
        /// Sexアクセサ
        public Sex Sex{
        get { return 0 == this.cmbSex.SelectedIndex ? Sex.Male : Sex.Female; }
        set {
        if (value == Sex.Male)
        this.cmbSex.SelectedIndex = 0;
        else
        this.cmbSex.SelectedIndex = 1;
        }
        }
        /// OKボタンクリックイベントハンドラ
        private void btnOK_Click(object sender, RoutedEventArgs e) {
        this.DialogResult = true;
        }
        }
    /// 性別用列挙型
    public enum Sex 
    {
        Male,
        Female
    }
}
