﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace ControlSample
{
    /// <summary>
    /// CheckBoxSample.xaml の相互作用ロジック
    /// </summary>
    public partial class CheckBoxSample : Window
    {
        public CheckBoxSample()
        {
            InitializeComponent();
            
        }

        private void btnSubmit_Click(object sender, RoutedEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            // 2ステートチェックボックスの状態を取得
            sb.Append("所有しているゲーム機は…\r\n");
            if (chkPS3.IsChecked.Value)
                sb.Append("PS3を持っている\r\n");
            if (chkWii.IsChecked.Value)
                sb.Append("Wiiを持っている\r\n");
            if (chkXbox.IsChecked.Value)
                sb.Append("Xbox360を持っている\r\n");

            // 3ステートチェックボックスの状態を取得
            sb.Append("3ステートチェックボックスの状態は…\r\n");
            if (null == chkThree.IsChecked)
                sb.Append("Null状態");
            else if (chkThree.IsChecked.Value)
                sb.Append("checked状態");
            else
                sb.Append("unchecked状態");

            MessageBox.Show(sb.ToString());
        }
    }
}
