﻿using System;
using System.Collections.Generic;
using System.Text;

namespace PerfectCS_2012
{
    abstract class MusicPlayer
    {
        public MusicPlayer()
        {
            m_musicAlbum = null;
        }
        public MusicPlayer(MusicAlbum musicAlbum)
        {
            m_musicAlbum = musicAlbum;
        }
        // --------
        private MusicAlbum m_musicAlbum;    // -- 音楽アルバム
        // --------
        public MusicAlbum MusicAlbum
        {
            get { return m_musicAlbum; }
            set { m_musicAlbum = value; }
        }
        // --------
        public virtual string GetPlayerType() { return null; }
        public abstract void Play();
        public abstract void Stop();

    }
}
