﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PerfectCS_2012
{
    public class Node
    {
        public Node(string name, decimal _value)
        {
            m_name = name;
            m_value = _value;
        }
        public Node(string name)
            : this(name, 0)
        {
            // ----
        }

        // --------
        private string m_name;
        public string Name
        {
            get { return m_name; }
            set { m_name = value; }
        }
        // --------
        private decimal m_value;
        public decimal Value
        {
            get { return m_value; }
            set { m_value = value; }
        }

        // --------
        public string Text
        {
            get
            {
                string text = this.Name;
                if (this.Value > 0)
                {
                    text += "(";
                    text += this.Value;
                    text += ")";
                }
                return text;
            }
        }
    }
}
