﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="SimpleRepeaterSample.aspx.cs" Inherits="DataBind.SimpleRepeaterSample" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:Label runat="server" Text="本サンプルページはSQL Server AdventureWorksデータベースを利用します。" />

    <asp:SqlDataSource ID="sdDepartment" runat="server"
        ConnectionString="Data Source=localhost;Initial Catalog=AdventureWorks;Integrated Security=True"
        ProviderName="System.Data.SqlClient"
        SelectCommand="SELECT * FROM HumanResources.Department" />

        <asp:Repeater ID="rpDepartment" runat="server" DataSourceID="sdDepartment">
            <HeaderTemplate>
                <asp:Label runat="server" ID="lblHeader"
                    Font-Bold="true" Text="Department情報" />
                <hr style="color:Blue" />
            </HeaderTemplate>
            <ItemTemplate>
                <asp:Label runat="server" ID="Label1" Text="ID:" />
                <asp:Label runat="server" ID="lblID"
                    Text='<%# Eval("DepartmentID") %>' />
                &nbsp;&nbsp;
                <asp:Label runat="server" ID="Label2" Text="Name:" />
                <asp:Label runat="server" ID="Label3"
                    Text='<%# Eval("Name") %>' />
                &nbsp;&nbsp;
                <asp:Label runat="server" ID="Label4" Text="GroupName:" />
                <asp:Label runat="server" ID="Label5"
                    Text='<%# Eval("GroupName") %>' />
                &nbsp;&nbsp;
                <asp:Label runat="server" ID="Label6" Text="ModifiedDate:" />
                <asp:Label runat="server" ID="Label7"
                    Text='<%# Eval("ModifiedDate", "{0:yyyy/M/d}") %>' />
            </ItemTemplate>
            <SeparatorTemplate>
                <hr />
            </SeparatorTemplate>
            <FooterTemplate>
                <hr style="color:Blue" />
            </FooterTemplate>
        </asp:Repeater>
    </div>
    </form>
</body>
</html>
