﻿using System;
using System.Windows;

namespace WpfApplication
{
    public partial class MainWindow : System.Windows.Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
        // サブウィンドウ表示ボタンClickイベントハンドラ
        protected void btnOpenSubWindow_Click(object sender, RoutedEventArgs e)
        {
            SubWindow subWindow = new SubWindow();
            subWindow.Owner = this;
            subWindow.Show();
        }
        // 子ウィンドウ取得ボタンClickイベントハンドラ
        protected void btnGetChildren_Click(object sender, RoutedEventArgs e)
        {
            string s = "";
            s = "子ウィンドウの個数：" + this.OwnedWindows.Count.ToString();
            s += "\r\n";
            foreach (Window win in this.OwnedWindows)
            {
                s += win.GetType().ToString() + "\r\n";
            }
            MessageBox.Show(s);
        }
    }
}