﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace ControlSample
{
    /// <summary>
    /// ContentsModelSampleByCode.xaml の相互作用ロジック
    /// </summary>
    public partial class ContentsModelSampleByCode : Window
    {
        public ContentsModelSampleByCode()
        {
            InitializeComponent();


            Button btn = new Button();
            // イメージ作成
            BitmapImage bitmapImage = new BitmapImage(new Uri(@"/sora_dog.jpg",UriKind.Relative));
            Image image = new Image();
            image.Source = bitmapImage;
            image.Height = 128;
            image.Width = 128;
            // テキスト作成
            TextBlock textBlock = new TextBlock();
            textBlock.Text = "クリック";
            textBlock.HorizontalAlignment = HorizontalAlignment.Center;
            // パネルにイメージとテキストを配置
            StackPanel panel = new StackPanel();
            panel.Children.Add(image);
            panel.Children.Add(textBlock);
            // ボタンにパネルを配置
            btn.Content = panel;

            // Canvasにボタンと配置
            Canvas.SetLeft(btn, 50);
            Canvas.SetTop(btn, 50);
            canvas1.Children.Add(btn);
        }
    }
}
