﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
// --------
using System.Data;
using System.Data.EntityClient;
using System.Collections;
// --------
namespace PerfectCS_2012
{
    class Exapmle_EntityClient
    {
        public Exapmle_EntityClient()
        {
            m_entityConnection = new EntityConnection("Name=ReceiptModelContainer");

        }
        // --------
        private EntityConnection m_entityConnection;

        // -------- 選択（抽出）
        public void Select(decimal borderAmount)
        {
            Console.WriteLine("Select (Border Amount = {0})", borderAmount);
            // ----
            m_entityConnection.Open();
            // ----
            string borderAmountText = borderAmount.ToString();
            string receiptsSql = "select value receipt from ReceiptModelContainer.Receipts as receipt where receipt.Amount>" + borderAmountText;
            EntityCommand receiptsCommand = new EntityCommand(receiptsSql, m_entityConnection);
            EntityDataReader receipts = receiptsCommand.ExecuteReader(CommandBehavior.SequentialAccess);
            // ----
            while (receipts.Read())
            {
                int receiptId = (int)receipts["ID"];
                Console.WriteLine("____Receipt[{0}] {1:yyyy/MM/dd} - {2} {3}",
                    receiptId,
                    receipts["Date"],
                    receipts["Title"],
                    receipts["Amount"]);

                // ---- navigate???
                string navigateText = "navigate(receiptDetail, ReceiptModel.ReceiptReceiptDetail, Receipt, ReceiptDetail)";
                string receiptDetailsSql = "select value receiptDetail," + navigateText + "from ReceiptModelContainer.ReceiptDetails as receiptDetail";
#if false
                string receiptIdText = receiptId.ToString();
                string receiptDetailsSql = "select value receiptDetail from ReceiptModelContainer.ReceiptDetails as receiptDetail where receiptDetail.Receipt=" + receiptIdText;
#endif
                EntityCommand receiptDetailsCommand = new EntityCommand(receiptDetailsSql, m_entityConnection);
                EntityDataReader receiptDetails = receiptDetailsCommand.ExecuteReader(CommandBehavior.SequentialAccess);
                // ----
                while (receiptDetails.Read())
                {
                    Console.WriteLine("    ____Detail[{0}] {1}({2}) * {3} = {4}",
                        receiptDetails["ID"],
                        receiptDetails["Name"],
                        receiptDetails["Value"],
                        receiptDetails["Quantity"],
                        receiptDetails["Price"]);
                }
            }
            // ----
            m_entityConnection.Close();
        }



    }
}
